Filter GST registrations based on multiple criteria including trade name, state, taxpayer type, status, and more.
Bearer token: Bearer <access_token>
Query Parameters
Search by trade name (partial match)
Filter by business activity
Filter by status (Active, Cancelled, etc.)
Filter by taxpayer type (Regular, Composition, etc.)
Registration date range start (YYYY-MM-DD)
Registration date range end (YYYY-MM-DD)
Filter by core business type
Filter by goods description
Filter by services description
Results per page (max: 100)
curl -X GET "https://api.finscreener.in/api/gst/gst-filter?State=Maharashtra&Status=Active&TaxpayerType=Regular&page=1&limit=10" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"results": [
{
"GSTIN": "27AAACR5055K1ZZ",
"TradeName": "RELIANCE INDUSTRIES LIMITED",
"Status": "Active",
"TaxpayerType": "Regular",
"State": "Maharashtra",
"COREBUSINESS": "Manufacturer"
}
],
"total_results": 1523,
"page": 1,
"limit": 10
}